Skip to content
Start here

Get a Zone Lockdown rule

client.Firewall.Lockdowns.Get(ctx, lockDownsID, query) (*Lockdown, error)
GET/zones/{zone_id}/firewall/lockdowns/{lock_downs_id}

Fetches the details of a Zone Lockdown rule.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services WriteFirewall Services Read
ParametersExpand Collapse
lockDownsID string

The unique identifier of the Zone Lockdown rule.

maxLength32
query LockdownGetParams
ZoneID param.Field[string]

Defines an identifier.

maxLength32
ReturnsExpand Collapse
type Lockdown struct{…}
ID string

The unique identifier of the Zone Lockdown rule.

maxLength32
Configurations Configuration

A list of IP addresses or CIDR ranges that will be allowed to access the URLs specified in the Zone Lockdown rule. You can include any number of ip or ip_range configurations.

One of the following:
type LockdownIPConfiguration struct{…}
Target LockdownIPConfigurationTargetoptional

The configuration target. You must set the target to ip when specifying an IP address in the Zone Lockdown rule.

Value stringoptional

The IP address to match. This address will be compared to the IP address of incoming requests.

type LockdownCIDRConfiguration struct{…}
Target LockdownCIDRConfigurationTargetoptional

The configuration target. You must set the target to ip_range when specifying an IP address range in the Zone Lockdown rule.

Value stringoptional

The IP address range to match. You can only use prefix lengths /16 and /24.

CreatedOn Time

The timestamp of when the rule was created.

formatdate-time
Description string

An informative summary of the rule.

maxLength1024
ModifiedOn Time

The timestamp of when the rule was last modified.

formatdate-time
Paused bool

When true, indicates that the rule is currently paused.

The URLs to include in the rule definition. You can use wildcards. Each entered URL will be escaped before use, which means you can only use simple wildcard patterns.

Get a Zone Lockdown rule

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/firewall"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  lockdown, err := client.Firewall.Lockdowns.Get(
    context.TODO(),
    "372e67954025e0ba6aaa6d586b9e0b59",
    firewall.LockdownGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", lockdown.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configurations": [
      {
        "target": "ip",
        "value": "198.51.100.4"
      }
    ],
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Restrict access to these endpoints to requests from a known IP address",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "paused": false,
    "urls": [
      "api.mysite.com/some/endpoint*"
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configurations": [
      {
        "target": "ip",
        "value": "198.51.100.4"
      }
    ],
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Restrict access to these endpoints to requests from a known IP address",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "paused": false,
    "urls": [
      "api.mysite.com/some/endpoint*"
    ]
  },
  "success": true
}